# Don't create a debuginfo package since it would be empty
%define debug_package %{nil}

Name:           glui
Version:        2.35
Release:        4%{?dist}
Summary:        An OpenGL/GLUT User Interface Library
License:        LGPLv2
Group:          System Environment/Libraries
URL:            http://glui.sourceforge.net/
Source0:        http://downloads.sourceforge.net/glui/%{name}-%{version}.tgz
Source1:        glui_manual_v2_beta.pdf
Patch0:         gluih.patch
BuildRequires:  gcc-c++
BuildRequires:  libX11-devel, freeglut-devel, libGL-devel
BuildRequires:  libXmu-devel, libXext-devel, libXi-devel
Requires:       mesa-libGL, freeglut
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
GLUI is a GLUT-based C++ user interface library
which provides controls such as buttons, checkboxes,
radio buttons, and spinners to OpenGL applications.
It is window-system independent, relying on GLUT
to handle all system-dependent issues,
such as window and mouse management.

%prep
%setup -q
%patch0 -p1 -b .gluih
sed -i -e's,/usr/X11R6/lib,%{_x_libraries},g' \
       -e's,/usr/X11R6/include,%{_x_includes},g' \
       src/makefile

%build
rm -rf %{buildroot}
cd src
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/GL
mkdir -p %{buildroot}%{_datadir}/%{name}
cp $RPM_BUILD_DIR/%{name}-%{version}/src/lib/libglui.a \
   %{buildroot}%{_libdir}   
cp $RPM_BUILD_DIR/%{name}-%{version}/src/include/GL/glui.h \
   %{buildroot}%{_includedir}/GL
cp -R $RPM_BUILD_DIR/%{name}-%{version}/src/example $RPM_BUILD_DIR/%{name}-%{version}/src/bin \
   %{buildroot}%{_datadir}/%{name}
cp %SOURCE1 $RPM_BUILD_DIR/%{name}-%{version}/src/doc/glui_manual_v2_beta.pdf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc www src/doc src/readme.txt
%{_includedir}/GL/glui.h
%{_libdir}/libglui.a
%{_datadir}/%{name}

%changelog
* Sat Oct 17 2009 Paulo Roma <roma@lcg.ufrj.br> 2.35-4
- Changed license.
- defined GLUI_FREEGLUT in glui.h

* Sat Feb 17 2007 Paulo Roma <roma@lcg.ufrj.br> 2.35-3
- Rebuilt for Fedora 6.

* Sun Jul 20 2006 Paulo Roma <roma@lcg.ufrj.br> 2.35-2
- Update to 2.35

* Sun Jul 09 2006 Paulo Roma <roma@lcg.ufrj.br> 2.2-2
- Changed dependencies for Fedora 5.

* Sun Jan 08 2006 Paulo Roma <roma@lcg.ufrj.br> 2.2-1
- Initial version.
 
